## org.hibernate.metamodel.source.annotations.attribute.type
Class LobTypeResolver

    java.lang.Object
      org.hibernate.metamodel.source.annotations.attribute.type.AbstractAttributeTypeResolver
          org.hibernate.metamodel.source.annotations.attribute.type.LobTypeResolver

All Implemented Interfaces:
  AttributeTypeResolver

    public class LobTypeResolver

extends AbstractAttributeTypeResolver

Constructor Summary
`LobTypeResolver(MappedAttribute mappedAttribute)`

Method Summary
`protected org.jboss.jandex.AnnotationInstance` `getTypeDeterminingAnnotationInstance()`
`String` `resolveHibernateTypeName(org.jboss.jandex.AnnotationInstance annotationInstance)`
`protected Map<String,String>` `resolveHibernateTypeParameters(org.jboss.jandex.AnnotationInstance annotationInstance)`

Methods inherited from class org.hibernate.metamodel.source.annotations.attribute.type.AbstractAttributeTypeResolver
`getExplicitHibernateTypeName, getExplicitHibernateTypeParameters`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LobTypeResolver

    public LobTypeResolver(MappedAttribute mappedAttribute)

Method Detail

### getTypeDeterminingAnnotationInstance

    protected org.jboss.jandex.AnnotationInstance getTypeDeterminingAnnotationInstance()

  Specified by:
    `getTypeDeterminingAnnotationInstance` in class `AbstractAttributeTypeResolver`

### resolveHibernateTypeName

    public String resolveHibernateTypeName(org.jboss.jandex.AnnotationInstance annotationInstance)

  Specified by:
    `resolveHibernateTypeName` in class `AbstractAttributeTypeResolver`

### resolveHibernateTypeParameters

    protected Map<String,String> resolveHibernateTypeParameters(org.jboss.jandex.AnnotationInstance annotationInstance)

  Overrides:
    `resolveHibernateTypeParameters` in class `AbstractAttributeTypeResolver`

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.